1.0
1.0
post /v1/clusters/{cluster_id}/log-export-configs
Description
Register Log Export Config.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
| body | body required | LogExportConfigCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/log-export-configs
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.0"
Request body
{
"access_key": "13952a8851244213f2de8d95069bf161",
"bucket_name": "examplebucket",
"delete_on_export": true,
"log_type": "alert",
"schedule_day_of_month": "28",
"schedule_day_of_week": "MON",
"schedule_frequency_type": "DAY",
"schedule_hour": "12",
"secret_key": "secretkey"
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}